#ifndef _MAIN_H_
#define _MAIN_H_

// main.h (display board side)

#include <inttypes.h>
#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/sleep.h>
#include <util/delay.h>
#include <avr/pgmspace.h>
#include <avr/eeprom.h>

#include "../source_main/switch.h"

// macros
#define SBI(port, bit)	(port |= _BV(bit))
#define CBI(port, bit)	(port &= ~_BV(bit))
#define NOP() __asm("NOP")

// defines

// LED brightness control
// bigger ON value (TIMER_ONx) will take brightness of display bigger
// change these value depending on your LED display
// wait = TIMER_XX * 8 [us]
#define TIMER_ON1 80 // on cycle wait (for digit 1-4) (>30)
#define TIMER_ON2 225 // on cycle wait (for digit 5-8) (>30)
#define TIMER_OFF 40 // off cycle wait (>30) (control above blightness level)

#define LONGPUSH_WAIT 10

#define SREG_PORT PORTA
#define SREG_DATA PA1
#define SREG_CLK PA0

#endif

